package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205COVCreator;

public class TagB72Creator extends AbsTagCreate {
    private MT205COVCreator mt205COVCreator;

    public TagB72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205COVCreator = (MT205COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt205COVCreator.getSendertoReceiverInformationB();
        mt205COVCreator.set("72",tag72Value);
    }
}
